## hatasmota 0.9.2

=== requirements.txt ===
voluptuous>=0.12.0

=== debian/changelog ===
hatasmota (0.9.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Sep 2024 07:32:42 +0100

hatasmota (0.9.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1079986)

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 09:50:59 +0100

=== debian/control ===
Source: hatasmota
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/emontnemery/hatasmota
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/hatasmota
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/hatasmota.git

Package: python3-hatasmota
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with Tasmota devices via MQTT
 This library allows communication with Tasmota-enabled devices using the MQTT
 protocol. It effectively handles the parsing and construction of MQTT messages
 for integration with Tasmota firmware. The library supports various Tasmota
 functionalities including buttons, fans, lights, relays, sensors, shutters,
 and switches.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=hatasmota

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf hatasmota.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hatasmota-$1\.tar\.gz/ \
  https://github.com/emontnemery/hatasmota/tags .*/v?(\d\S+)\.tar\.gz

## hatasmota 0.10.0

=== debian/changelog ===
hatasmota (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 27 Feb 2025 17:43:23 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/emontnemery/hatasmota
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/hatasmota
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/hatasmota.git

## hatasmota 0.10.1

=== requirements.txt ===
voluptuous>=0.12.0
aiohttp>=3.11.12

=== debian/changelog ===
hatasmota (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Thu, 11 Sep 2025 09:16:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/emontnemery/hatasmota
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/hatasmota
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/hatasmota.git

=== debian/watch ===
version=4
https://github.com/emontnemery/hatasmota/tags .*/v?(\d\S+)\.tar\.gz
